/*
 * box.h
 *
 *  Created on: 28-09-2014
 *      Author: crm
 */

#pragma once

#include "asmmath.h"

class Box
	{
	public:
		AVector pos;
		AVector size;

	public:
		Box(): pos(), size() {}
		Box(const AVector& size): pos(), size(size) {}
		Box(const AVector& pos, const AVector& size): pos(pos), size(size) {}

		Box operator+(const AVector& a) const {return Box(pos+a, size);}
		Box operator-(const AVector& a) const {return Box(pos-a, size);}

		bool test(const Box& b) const;
		//Box intersection(const Box& b);
	};
