/*
 * collision.h
 *
 *  Created on: 22 maj 2015
 *      Author: crm
 */


#pragma once

#include "asmmath.h"

#include "box.h"

class Collision
	{
	private:
		Box intersection;		// Czesc wspolna pudelek
		AVector n;				// Wektor normalny kolizji
		float distance;			// Glebokosc penetracji

		Box *a;
		Box *b;

	public:
		Collision(): intersection(), n(), distance(0.0f), a(NULL), b(NULL) {}
		Collision(const Box& a, const Box& b): intersection(), n(), distance(0.0f), a(NULL), b(NULL) {update(a, b);}
		~Collision() {}

		bool update(const Box& a, const Box& b);
	};
