/*
 * consts.h
 *
 *  Created on: 14-04-2013
 *      Author: crm
 */

#pragma once

const int SCREENWIDTH=	800;
const int SCREENHEIGHT=	600;
const int BPP=			32;

const float SCREENFAR=	1000.0f;
const float SCREENNEAR=-1000.0f;
const float DELTA_MIN=	0.001f;
const float DELTA_MAX=	0.250f;

const char GAMENAME[]="Dialogi";
const float FPSDELAY=60.0f/1000.0f;	// 60 fps'ow wszystkiego
const float LUADELAY=50.0f/1000.0f;	// 50 fps'ow wszystkiego

const float DEGTORAD=3.141592653589793f/180.0f;
const float RADTODEG=180.0f/3.141592653589793f;

// Resfile
const char RESLIST[]="data.ini";

// Npc
const char IMGPATH[]="img/";
const char LUAPATH[]="lua/";
const char SOUNDPATH[]="sound/";
const char MUSICPATH[]="music/";

const char DEFAULT_FONT[]="font/font_00.spr";

// Lua
const char LUA_INIT[]=				"init";
const char LUA_UPDATE[]=			"update";

const char LUA_HANDLER_CASTED[]=	"onCasted";
const char LUA_HANDLER_ATTACK[]=	"onAttack";
const char LUA_HANDLER_DEFEND[]=	"onDefend";
const char LUA_HANDLER_HIT[]=		"onHit";

const char LUA_PTR_ARENA[]=			"_arena";
const char LUA_PTR_CHARACTER[]=		"_character";
const char LUA_PTR_GAMEMODE[]=		"_gamemode";
const char LUA_PTR_PATH[]=			"_path";
const char LUA_PTR_TYPE[]=			"_rank";	// Czy klient czy serwer
const char LUA_PTR_EVENT_LISTENER[]="_eventlistener";
