/*
 * controllerdummy.h
 *
 *  Created on: 19-08-2013
 *      Author: crm
 */

#pragma once

#include "../base/controller.h"

class ControllerDummy: public Controller
	{
	private:
		bool keys[COUNT];
		//float timer[COUNT];

	public:
		ControllerDummy(): Controller() {release();}
		virtual ~ControllerDummy() {clear();}

		virtual inline void update(float) {}
		virtual inline void print() {}
		virtual inline void clear() {}

		virtual inline bool isPressed(Controls c) {return keys[c];}

		virtual ControllerType type() const {return CTRL_DUMMY;}

		inline void setKeyState(Controls c, bool pressed/*, float time=-1.0f*/) {keys[c]=pressed; /*timer[c]=time;*/}

		inline void push() {for(int i=0; i<COUNT; ++i) keys[i]=true;}
		inline void push(Controls c) {setKeyState(c, true);}

		inline void release() {for(int i=0; i<COUNT; ++i) keys[i]=false;}
		inline void release(Controls c) {setKeyState(c, false);}
	};


