/*
 * engine.h
 *
 *  Created on: 27-05-2014
 *      Author: crm
 */

#pragma once

#include <string>
#include <SDL/SDL_keysym.h>

#include "asmmath.h"

namespace Engine
	{
	bool init();
	void update();
	void clear();

	bool running();
	float delta();
	bool key(int sym);

	AVector getMouseMotion();
	AVector getMousePosition();
	}
