/*
 * Counter.h
 *
 *  Created on: 26-03-2013
 *      Author: crm
 */

#pragma once

namespace UI
	{
	class Counter
		{
		protected:
			float min, max;		// Zakres licznika
			float value;		// Aktualna wartosc

		public:
			Counter();
			virtual ~Counter();

			virtual void init(float min, float max, float value);
			virtual void update(float dt)=0;
			virtual void print(float x, float y)=0;
			virtual void clear();

			void increment() {value+=1.0f;}
			void decrement() {value-=1.0f;}
			void set(float v) {value=v;}
			void add(float v) {value+=v;}
			void sub(float v) {value-=v;}
			float get() const {return value;}

			float getMin() const {return min;}
			float getMax() const {return max;}
		};

	}
