/*
 * demomenu.h
 *
 *  Created on: 25-09-2013
 *      Author: crm
 */

#pragma once

#include "ui/text.h"
#include "graphics/spriteptr.h"

#include "gamestates.h"
#include "menu.h"
#include "base/gamestate.h"

class DemoMenu: public GameState
	{
	private:
		Menu m;

		UI::Text str;
		Graphics::SpritePtr spr;

		void redraw();

	public:
		virtual void init();
		virtual void update(float dt);
		virtual void print();
		virtual void clear();

		virtual void pause();
		virtual void resume();

		virtual int getId() const {return STATE_DEMO_MENU;}
	};
