/*
 * statemenu.h
 *
 *  Created on: 04-08-2013
 *      Author: crm
 */

#pragma once

#include "ui/text.h"

#include "gamestates.h"
#include "menu.h"
#include "base/gamestate.h"

class StateMenu: public GameState
	{
	private:
		Menu m;

		UI::Text str;

		void redraw();

	public:
		virtual void init();
		virtual void update(float dt);
		virtual void print();
		virtual void clear();

		virtual void pause();
		virtual void resume();

		virtual int getId() const {return STATE_MAIN_MENU;}
	};
