/*
 * base.cpp
 *
 *  Created on: 03-04-2013
 *      Author: crm
 */

#include "base.h"
#include "cstring"

namespace UI
	{
	Base::Base(): rect(0, 0), cbclick(NULL)
		{
		//
		}

	Base::~Base()
		{
		//
		}


	void Base::init(Rect r)
		{
		clear();

		rect=r;

		cbclick=NULL;
		}

	void Base::update(float dt)
		{
		//
		}

	void Base::print()
		{
		//
		}

	void Base::clear()
		{
		//
		}


	void Base::click(int x, int y)
		{
		if(cbclick)
			cbclick(x, y);
		}

	void Base::hover(int x, int y)
		{
		//
		}
	}
