/*
 * panel.h
 *
 *  Created on: 04-04-2013
 *      Author: crm
 */

#pragma once

#include "base.h"

#include <list>

namespace UI
	{
	class Panel: public UI::Base
		{
		protected:
			std::list<Base *> items;

		public:
			//Panel();
			//virtual ~Panel();

			virtual void init(Rect r);
			virtual void update(float dt);
			virtual void print();
			virtual void clear();

			void addItem(Base *item);

			virtual void click(int x, int y);
			virtual void hover(int x, int y);
		};
	}
