/*
 * vertex.h
 *
 *  Created on: 11-02-2013
 *      Author: crm
 */

#pragma once

namespace Render
	{
	struct Vertex
		{
		Vertex(): x(0.0f), y(0.0f), z(0.0f), tx(0.0f), ty(0.0f), col(0u) {}
		Vertex(float x, float y, float z, float tx, float ty, unsigned char a=255, unsigned char r=255, unsigned char g=255, unsigned char b=255):
			x(x), y(y), z(z), tx(tx), ty(ty), col(r+(g<<8u)+(b<<16u)+(a<<24u)) {};

		float x, y, z;
		float tx, ty;
		unsigned col;
		float pad[2];
		};
	}


